Skip to main content
POST
/
v3
/
products
/
{product_id}
/
follow-up-chats
Create a product follow-up chat
curl --request POST \
  --url https://api.myscalev.com/v3/products/{product_id}/follow-up-chats \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "provider": "<string>",
  "change_status": true,
  "hours_after": 123,
  "image": "<string>",
  "is_default": true,
  "text_for_bank_transfer": "<string>",
  "text_for_cod": "<string>",
  "text_for_epayment": "<string>",
  "trigger": "<string>",
  "wa_gateway_assignation_type": "<string>",
  "wa_integration_id": 123
}
'
{
  "bundle_id": 123,
  "change_status": true,
  "hours_after": 123,
  "id": 123,
  "image": "<string>",
  "is_default": true,
  "name": "<string>",
  "product_id": 123,
  "provider": "<string>",
  "store_id": 123,
  "text_for_bank_transfer": "<string>",
  "text_for_cod": "<string>",
  "text_for_epayment": "<string>",
  "trigger": "<string>",
  "wa_gateway_assignation_type": "<string>",
  "wa_integration": {
    "id": 123,
    "name": "<string>",
    "phone_number": "<string>",
    "provider": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

product_id
string
required

Body

application/json

Follow up chat data

name
string
required

Name of the follow up chat

provider
string
required

Provider of the follow up chat

change_status
boolean

Triggered after order status change to this status

hours_after
integer

Hours after which the follow up chat is triggered

image
string<uri>

Image URL for the follow up chat

is_default
boolean

Is this a default follow up chat?

text_for_bank_transfer
string

Text for bank transfer

text_for_cod
string

Text for cash on delivery

text_for_epayment
string

Text for e-payments

trigger
string

Trigger condition for the follow up chat

wa_gateway_assignation_type
string

WhatsApp gateway assignation type

wa_integration_id
integer

WhatsApp integration ID

Response

Follow up chat template created successfully

bundle_id
integer

Bundle ID associated with the follow-up chat

change_status
boolean

Triggered after order status change to this status

hours_after
integer

Hours after which the follow-up chat is sent

id
integer

Follow-up chat ID

image
string<uri>

Image URL for the follow-up chat

is_default
boolean

Is this a default follow-up chat

name
string

Name of the follow-up chat

product_id
integer

Product ID associated with the follow-up chat

provider
string

Provider of the follow-up chat

store_id
integer

Store ID associated with the follow-up chat

text_for_bank_transfer
string

Text for bank transfer payments

text_for_cod
string

Text for cash on delivery payments

text_for_epayment
string

Text for electronic payments

trigger
string

Trigger for the follow-up chat

wa_gateway_assignation_type
string

WhatsApp gateway assignation type

wa_integration
WhatsappIntegration · object